Bug 1229816 - Missing dependency in biber
Summary: Missing dependency in biber
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: biber
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Colin Macdonald
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-09 17:11 UTC by Christian Dersch
Modified: 2015-06-21 00:08 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-21 00:08:15 UTC


Attachments (Terms of Use)

Description Christian Dersch 2015-06-09 17:11:04 UTC
Description of problem: biber doesn't work due to missing dependency perl-autovivification

Version-Release number of selected component (if applicable): 1.8-8.fc22 


How reproducible: always


Steps to Reproduce:
1. Install biber
2. Try to use it

Actual results: biber fails to work, error message is 

Can't locate autovivification.pm in @INC (you may need to install the autovivification module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/share/perl5/Biber/Internals.pm line 1106


Expected results: biber works


Additional info: After installation of perl-autovivification everything works as expected :)

Comment 1 Colin Macdonald 2015-06-09 20:13:44 UTC
Confirmed, thanks.  I will fix.

Comment 2 Fedora Update System 2015-06-09 22:44:37 UTC
biber-1.8-10.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/biber-1.8-10.fc22

Comment 3 lnie 2015-06-10 09:15:37 UTC
biber-1.8-10.fc22 works

Comment 4 Fedora Update System 2015-06-11 18:38:58 UTC
Package biber-1.8-10.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing biber-1.8-10.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9820/biber-1.8-10.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-06-21 00:08:15 UTC
biber-1.8-10.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.